# dolfin.cpp.common

Common module

Functions

`dump_timings_to_xml`(arg0, arg1) |
`git_commit_hash`() | Returns git hash for this build.
`has_debug`() |
`has_hdf5`() |
`has_hdf5_parallel`() |
`has_mpi`() |
`has_mpi4py`() | Return True if DOLFIN is configured with mpi4py
`has_parmetis`() |
`has_petsc`() | Return True if DOLFIN is configured with PETSc
`has_petsc4py`() | Return True if DOLFIN is configured with petsc4py
`has_scotch`() |
`has_slepc`() | Return True if DOLFIN is configured with SLEPc
`has_slepc4py`() | Return True if DOLFIN is configured with slepc4py
`has_sundials`() | Return True if DOLFIN is configured with SUNDIALS
`list_timings`(arg0, arg1) |
`sizeof_la_index`() |
`timing`(arg0, arg1) |
`timings`(arg0, arg1) |

Classes

`SubSystemsManager` |
`Timer` | Timer class
`TimingClear` | Members:
`TimingType` | Members:
`Variable` | Variable base class